#include <stdio.h>

struct dInt{
  int a1,a2;
};
int abso(int x){
  return (x<0)?-x:x;
}

int closest(int b,int n,struct dInt a[n]){
  int i=0;
  int x=n;
  //printf("\n Boi %d %d %d",x,a[x].a1,b);
  while(i<n){//printf("//\n Boi %d %d %d",i,a[i].a1,b);
    x=(abso(a[i].a1-b)<abso(a[x].a1-b)&&a[i].a1>=b)?i:x;
    i++;
    
  }
  return x;
}

int closestv(int b,int n,struct dInt a[n]){
  int i=0;
  int x=n;
  //printf("\n Boi %d %d %d",x,a[x].a1,b);
  while(i<n){//printf("//\n Boi %d %d %d",i,a[i].a1,b);
    x=(abso(a[i].a2-b)<abso(a[x].a2-b)&&a[i].a2>=b)?i:x;
    i++;
    
  }
  return x;
}

int main(void) {
  int n,i=0,j=0,x,y,br=0;
  scanf("%d",&n);
  struct dInt a[n+1];
  while(i<n){
    scanf("%d %d",&x,&y);
    a[i].a1 = x-1;
    a[i].a2 = y-1;
    i++;
  }
  a[n].a1 = 1000000;
  a[n].a2 = 1000000;
  i=0;
  j=0;
  //printf("%d",closest(0,5,a));
  while(i<n-1){
    //printf("\n woah!?!%d %d",closest(i,n,a),abso(a[closest(i,n,a)].a1-i));
    br+=abso(a[closest(i,n,a)].a1-i);
    a[closest(i,n,a)].a1 -= abso(a[closest(i,n,a)].a1-i);
    //printf("\nbr = %d",br);
    
    while(j<n){
      if(a[j].a1==a[closest(i,n,a)].a1&&j!=closest(i,n,a)){
        //printf("\n*cough* %d %d==%d",j,a[j].a1,a[closest(i,n,a)].a1);
        a[j].a1++;
        br++;
        //printf("\nbr = %d",br);
      }
        
      j++;
    }
    j=0;
    i++;
  }
  i=0;
  while(i<n-1){
    //printf("\n woah!?!%d %d",closest(i,n,a),abso(a[closest(i,n,a)].a1-i));
    br+=abso(a[closestv(i,n,a)].a2-i);
    a[closestv(i,n,a)].a2 -= abso(a[closestv(i,n,a)].a2-i);
    //printf("\nbr = %d",br);
    
    while(j<n){
      if(a[j].a2==a[closestv(i,n,a)].a2&&j!=closestv(i,n,a)){
        //printf("\n*cough* %d %d==%d",j,a[j].a1,a[closest(i,n,a)].a1);
        a[j].a2++;
        br++;
        //printf("\nbr = %d",br);
      }
        
      j++;
    }
    j=0;
    i++;
  }

  printf("%d",br);


  return 0;
}